## stacks 0.1.0

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 0.1.0
Authors@R: c(
    person(given = "Simon",
           family = "Couch",
           role = c("aut", "cre"),
           email = "simonpatrickcouch@gmail.com"),
    person(given = "Max", 
           family = "Kuhn", 
           email = "max@rstudio.com", 
           role = "aut"),
    person("RStudio", 
           role = "cph")
    )
Description: Model stacking is an ensemble technique
    that involves training a model to combine the outputs of many 
    diverse statistical models, and has been shown to improve 
    predictive performance in a variety of settings. 'stacks' 
    implements a grammar for 'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
Depends: R (>= 2.10)
Imports: tune (>= 0.1.2), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
        0.1.0), recipes (>= 0.1.15), yardstick, tidyr, dials, digest,
        glue, ggplot2, glmnet, rsample, cli, butcher, stats, foreach,
        generics
Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown,
        palmerpenguins, ranger, nnet, kknn
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-11-20 00:13:21 UTC; simonpcouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  RStudio [cph]
Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
Repository: CRAN
Date/Publication: 2020-11-23 08:40:02 UTC

## stacks 0.2.0

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 0.2.0
Authors@R: c(
    person(given = "Simon",
           family = "Couch",
           role = c("aut", "cre"),
           email = "simonpatrickcouch@gmail.com"),
    person(given = "Max", 
           family = "Kuhn", 
           email = "max@rstudio.com", 
           role = "aut"),
    person("RStudio", 
           role = "cph")
    )
Description: Model stacking is an ensemble technique
    that involves training a model to combine the outputs of many 
    diverse statistical models, and has been shown to improve 
    predictive performance in a variety of settings. 'stacks' 
    implements a grammar for 'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 2.10)
Imports: tune (>= 0.1.2.9000), dplyr (>= 1.0.0), rlang (>= 0.4.0),
        tibble (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4),
        workflows (>= 0.2.1.9000), recipes (>= 0.1.15), rsample (>=
        0.0.9), workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3),
        yardstick, tidyr, dials, glue, ggplot2, glmnet, cli, stats,
        foreach, generics
Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown,
        palmerpenguins, ranger, nnet, kknn
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1.9001
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-04-20 16:46:46 UTC; simonpcouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  RStudio [cph]
Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
Repository: CRAN
Date/Publication: 2021-04-20 23:00:03 UTC

## stacks 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -25,21 +25,21 @@
 Depends: R (>= 2.10)
 Imports: tune (>= 0.1.2.9000), dplyr (>= 1.0.0), rlang (>= 0.4.0),
         tibble (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4),
-        workflows (>= 0.2.1.9000), recipes (>= 0.1.15), rsample (>=
-        0.0.9), workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3),
-        yardstick, tidyr, dials, glue, ggplot2, glmnet, cli, stats,
-        foreach, generics
-Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown,
-        palmerpenguins, ranger, nnet, kknn
+        workflows (>= 0.2.2), recipes (>= 0.1.15), rsample (>= 0.0.9),
+        workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3), yardstick,
+        tidyr, dials, glue, ggplot2, glmnet, cli, stats, foreach,
+        generics
+Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown, ranger,
+        nnet, kknn
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1.9001
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-04-20 16:46:46 UTC; simonpcouch
+Packaged: 2021-07-22 22:53:18 UTC; simonpcouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-04-20 23:00:03 UTC
+Date/Publication: 2021-07-23 16:20:02 UTC

## stacks 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -23,23 +23,22 @@
         https://github.com/tidymodels/stacks
 BugReports: https://github.com/tidymodels/stacks/issues
 Depends: R (>= 2.10)
-Imports: tune (>= 0.1.2.9000), dplyr (>= 1.0.0), rlang (>= 0.4.0),
-        tibble (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4),
-        workflows (>= 0.2.2), recipes (>= 0.1.15), rsample (>= 0.0.9),
-        workflowsets (>= 0.0.0.9001), butcher (>= 0.1.3), yardstick,
-        tidyr, dials, glue, ggplot2, glmnet, cli, stats, foreach,
-        generics
+Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
+        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
+        0.2.2), recipes (>= 0.1.15), rsample (>= 0.1.1), workflowsets
+        (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, dials, glue,
+        ggplot2, glmnet, cli, stats, foreach, generics
 Suggests: testthat, covr, kernlab, knitr, modeldata, rmarkdown, ranger,
         nnet, kknn
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.1.9001
+RoxygenNote: 7.1.2
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-07-22 22:53:18 UTC; simonpcouch
+Packaged: 2022-01-06 00:43:39 UTC; simonpcouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-07-23 16:20:02 UTC
+Date/Publication: 2022-01-06 01:00:02 UTC

## stacks 0.2.3

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 0.2.3
Authors@R: c(
    person(given = "Simon",
           family = "Couch",
           role = c("aut", "cre"),
           email = "simonpatrickcouch@gmail.com"),
    person(given = "Max", 
           family = "Kuhn", 
           email = "max@rstudio.com", 
           role = "aut"),
    person("RStudio", 
           role = c("cph", "fnd"))
    )
Description: Model stacking is an ensemble technique
    that involves training a model to combine the outputs of many 
    diverse statistical models, and has been shown to improve 
    predictive performance in a variety of settings. 'stacks' 
    implements a grammar for 'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 2.10)
Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
        0.2.3), recipes (>= 0.1.15), rsample (>= 0.1.1), workflowsets
        (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, glue,
        ggplot2, glmnet, cli, stats, foreach
Suggests: testthat (>= 3.0.0), covr, kknn, ranger, knitr, modeldata,
        rmarkdown, nnet, kernlab, mockr, h2o, SuperLearner
Config/Needs/website: tidyverse/tidytemplate
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.2
VignetteBuilder: knitr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-05-12 22:49:41 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  RStudio [cph, fnd]
Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
Repository: CRAN
Date/Publication: 2022-05-12 23:10:02 UTC

## stacks 1.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 0.2.3
+Version: 1.0.0
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -25,7 +25,7 @@
 Depends: R (>= 2.10)
 Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
         (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
-        0.2.3), recipes (>= 0.1.15), rsample (>= 0.1.1), workflowsets
+        0.2.3), recipes (>= 0.2.0), rsample (>= 0.1.1), workflowsets
         (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, glue,
         ggplot2, glmnet, cli, stats, foreach
 Suggests: testthat (>= 3.0.0), covr, kknn, ranger, knitr, modeldata,
@@ -33,14 +33,14 @@
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-05-12 22:49:41 UTC; simoncouch
+Packaged: 2022-07-06 19:49:24 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph, fnd]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-05-12 23:10:02 UTC
+Date/Publication: 2022-07-06 20:10:03 UTC

## stacks 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(given = "Simon",
            family = "Couch",
@@ -24,7 +24,7 @@
 BugReports: https://github.com/tidymodels/stacks/issues
 Depends: R (>= 2.10)
 Imports: tune (>= 0.1.3), dplyr (>= 1.0.0), rlang (>= 0.4.0), tibble
-        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 0.0.4), workflows (>=
+        (>= 2.1.3), purrr (>= 0.3.2), parsnip (>= 1.0.2), workflows (>=
         0.2.3), recipes (>= 0.2.0), rsample (>= 0.1.1), workflowsets
         (>= 0.1.0), butcher (>= 0.1.3), yardstick, tidyr, glue,
         ggplot2, glmnet, cli, stats, foreach
@@ -33,14 +33,14 @@
 Config/Needs/website: tidyverse/tidytemplate
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.1
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-07-06 19:49:24 UTC; simoncouch
+Packaged: 2022-12-14 15:19:27 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   RStudio [cph, fnd]
 Maintainer: Simon Couch <simonpatrickcouch@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-07-06 20:10:03 UTC
+Date/Publication: 2022-12-14 16:20:02 UTC

## stacks 1.0.2

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 1.0.2
Authors@R: c(
    person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Model stacking is an ensemble technique that involves
    training a model to combine the outputs of many diverse statistical
    models, and has been shown to improve predictive performance in a
    variety of settings. 'stacks' implements a grammar for
    'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 3.5)
Imports: butcher (>= 0.1.3), cli, dplyr (>= 1.1.0), foreach, generics,
        ggplot2, glmnet, glue, parsnip (>= 1.0.2), purrr (>= 1.0.0),
        recipes (>= 0.2.0), rlang (>= 0.4.0), rsample (>= 0.1.1),
        stats, tibble (>= 2.1.3), tidyr, tune (>= 0.1.3), vctrs (>=
        0.6.1), workflows (>= 0.2.3), yardstick (>= 1.1.0)
Suggests: covr, h2o, kernlab, kknn, knitr, mockr, modeldata, nnet,
        ranger, rmarkdown, SuperLearner, testthat (>= 3.0.0),
        workflowsets (>= 0.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-04-20 23:06:07 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Simon Couch <simon.couch@posit.co>
Repository: CRAN
Date/Publication: 2023-04-20 23:40:02 UTC

## stacks 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: c(
     person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
@@ -31,10 +31,10 @@
 LazyData: true
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-04-20 23:06:07 UTC; simoncouch
+Packaged: 2023-11-06 16:11:30 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd]
 Maintainer: Simon Couch <simon.couch@posit.co>
 Repository: CRAN
-Date/Publication: 2023-04-20 23:40:02 UTC
+Date/Publication: 2023-11-06 17:00:02 UTC

## stacks 1.0.4

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 1.0.4
Authors@R: c(
    person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Model stacking is an ensemble technique that involves
    training a model to combine the outputs of many diverse statistical
    models, and has been shown to improve predictive performance in a
    variety of settings. 'stacks' implements a grammar for
    'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 3.6)
Imports: butcher (>= 0.1.3), cli, doFuture, dplyr (>= 1.1.0), foreach,
        future, generics, ggplot2, glmnet, glue, parsnip (>= 1.2.0),
        purrr (>= 1.0.0), recipes (>= 1.0.10), rlang (>= 1.1.3),
        rsample (>= 1.2.0), stats, tibble (>= 2.1.3), tidyr, tune (>=
        1.2.0), vctrs (>= 0.6.1), workflows (>= 1.1.4)
Suggests: covr, h2o, kernlab, kknn, knitr, mockr, modeldata, nnet,
        ranger, rmarkdown, testthat (>= 3.0.0), workflowsets (>=
        0.1.0), yardstick (>= 1.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-03-21 17:54:31 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Simon Couch <simon.couch@posit.co>
Repository: CRAN
Date/Publication: 2024-03-21 18:30:02 UTC

## stacks 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.0.4
+Version: 1.0.5
 Authors@R: c(
     person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
@@ -31,10 +31,10 @@
 LazyData: true
 RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2024-03-21 17:54:31 UTC; simoncouch
+Packaged: 2024-07-22 21:38:58 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd]
 Maintainer: Simon Couch <simon.couch@posit.co>
 Repository: CRAN
-Date/Publication: 2024-03-21 18:30:02 UTC
+Date/Publication: 2024-07-22 21:50:02 UTC

## stacks 1.1.0

=== DESCRIPTION ===
Package: stacks
Title: Tidy Model Stacking
Version: 1.1.0
Authors@R: c(
    person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
    person("Max", "Kuhn", , "max@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: Model stacking is an ensemble technique that involves
    training a model to combine the outputs of many diverse statistical
    models, and has been shown to improve predictive performance in a
    variety of settings. 'stacks' implements a grammar for
    'tidymodels'-aligned model stacking.
License: MIT + file LICENSE
URL: https://stacks.tidymodels.org/,
        https://github.com/tidymodels/stacks
BugReports: https://github.com/tidymodels/stacks/issues
Depends: R (>= 4.1)
Imports: butcher (>= 0.1.3), cli, dplyr (>= 1.1.0), foreach, furrr,
        future, generics, ggplot2, glmnet, glue, parsnip (>= 1.2.0),
        purrr (>= 1.0.0), recipes (>= 1.0.10), rlang (>= 1.1.0),
        rsample (>= 1.2.0), stats, tibble (>= 2.1.3), tidyr, tune (>=
        1.2.0), vctrs (>= 0.6.1), workflows (>= 1.1.4)
Suggests: covr, h2o, kernlab, kknn, knitr, modeldata, nnet, ranger,
        rmarkdown, testthat (>= 3.0.0), workflowsets (>= 0.1.0),
        yardstick (>= 1.1.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Config/usethis/last-upkeep: 2025-04-25
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-05-02 14:20:35 UTC; simoncouch
Author: Simon Couch [aut, cre],
  Max Kuhn [aut],
  Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
Maintainer: Simon Couch <simon.couch@posit.co>
Repository: CRAN
Date/Publication: 2025-05-02 14:50:02 UTC

## stacks 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: stacks
 Title: Tidy Model Stacking
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
     person("Simon", "Couch", , "simon.couch@posit.co", role = c("aut", "cre")),
     person("Max", "Kuhn", , "max@posit.co", role = "aut"),
@@ -33,10 +33,10 @@
 LazyData: true
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-05-02 14:20:35 UTC; simoncouch
+Packaged: 2025-05-27 19:41:38 UTC; simoncouch
 Author: Simon Couch [aut, cre],
   Max Kuhn [aut],
   Posit Software, PBC [cph, fnd] (ROR: <https://ror.org/03wc8by49>)
 Maintainer: Simon Couch <simon.couch@posit.co>
 Repository: CRAN
-Date/Publication: 2025-05-02 14:50:02 UTC
+Date/Publication: 2025-05-27 20:00:02 UTC

## stacks 1.34

=== debian/changelog ===
stacks (1.34-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 17:58:43 +0200

stacks (1.32-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2015 19:52:06 +0200

stacks (1.25-1) unstable; urgency=medium

  * Initial upload to Debian
    Closes: #778832

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2015 18:31:48 +0100

stacks (1.25-0biolinux2) trusty; urgency=medium

  * Correct silly cut-and-paste-o in control file

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 19 Feb 2015 16:52:53 +0000

stacks (1.25-0biolinux1) trusty; urgency=medium

  * New upstream
  * Re-work stacks-setup-database to make databases named by project
  * ...and to enable database deletion
  * Improve the help you get from "stacks help"

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 18 Feb 2015 11:34:22 +0000

stacks (1.24-0ubuntu4) trusty; urgency=medium

  * Change web path back to /stacks rather than stacks-web,
    just leaving the Apache config fragment with that name.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 29 Jan 2015 11:06:58 +0000

stacks (1.24-0ubuntu3) trusty; urgency=low

  * Set PATH before calling any Stacks program in the wrapper

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 23 Jan 2015 14:10:55 +0000

stacks (1.24-0ubuntu2) trusty; urgency=medium

  * Initial release.
  * Make stacks package plus stack-web for the web stuff
  * Require sparsehash >2

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Jan 2015 18:50:45 +0000

=== debian/control ===
Source: stacks
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9), zlib1g-dev, libbam-dev, libsparsehash-dev (>= 2.0)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/stacks/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/stacks/trunk/
Homepage: http://creskolab.uoregon.edu/stacks/

Package: stacks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools,
         libdbi-perl
Recommends: libspreadsheet-writeexcel-perl
Description: pipeline for building loci from short-read DNA sequences
 Stacks is a software pipeline for building loci from short-read sequences,
 such as those generated on the Illumina platform. Stacks was developed to work
 with restriction enzyme-based data, such as RAD-seq, for the purpose of
 building genetic maps and conducting population genomics and phylogeography.
 .
 Note that this package installs Stacks such that all commands must be run as:
 $ stacks <cmdname> <args>

Package: stacks-web
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2 | httpd,
         mysql-server,
         libapache2-mod-php5 | php5-cgi,
         libdbd-mysql-perl,
         php-mdb2-driver-mysql
Recommends: stacks
Description: web interface for displaying loci from short-read sequences
 Stacks is a software pipeline for building loci from short-read sequences,
 such as those generated on the Illumina platform. Stacks was developed to work
 with restriction enzyme-based data, such as RAD-seq, for the purpose of
 building genetic maps and conducting population genomics and phylogeography.
 .
 This package provides the web-based viewer which you can use to examine Stacks
 output that has been loaded into a MySQL database.

## stacks 1.35

=== debian/changelog ===
stacks (1.35-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565888).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 09:51:41 -0700

stacks (1.35-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2015 21:05:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: stacks
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -32,7 +33,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php5 | php5-cgi,
+         libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

# override_dh_auto_install:
# 	dh_auto_install --destdir=debian/tmp

override_dh_auto_configure:
	dh_auto_configure -- --enable-sparsehash --enable-bam \
	         --with-bam-include-path=/usr/include/samtools \
		 --with-bam-lib-path=/usr/lib

override_dh_install:
	cp php/constants.php.dist ./constants.php
	dh_install
	# Skip this bit if not building stacks
	! cd debian/$(pkg)/usr/lib/$(pkg)/bin || \
	  for f in *.pl ; do \
	    ln -s "$$f" "`basename $$f .pl`" ; \
	  done
	# Skip this bit if not building stacks-web
	# Note - directory perms will be set in postinst
	dh_installdirs -pstacks-web /var/lib/stacks/export
	if [ -e debian/stacks-web/usr/share/stacks/php ] ; then \
	    rmdir debian/stacks-web/usr/share/stacks/php/export ; \
	    ln -s /var/lib/stacks/export \
		debian/stacks-web/usr/share/stacks/php/export ; \
	fi

override_dh_link:
	dh_link
	mkdir -p debian/$(pkg)/usr/lib/debian-med/bin
	cd debian/$(pkg)/usr/lib/debian-med/bin && \
	for f in `ls $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/bin` ; do \
	    ln -s ../../$(pkg)/bin/$$f ; \
	done

override_dh_auto_test:
	#ln -s /usr/share/automake-1.14/tap-driver.sh tests/tap-driver.sh
	#dh_auto_test
	#  Does not work even after this trick.  See
	#   https://groups.google.com/forum/#!msg/stacks-users/TA2tMEqb4Mg/pQy4fUCYi9kJ
	true

override_dh_clean:
	dh_clean
	rm -f ./constants.php

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-([0-9.]+).tar.[gzb2x]+

## stacks 1.37

=== debian/changelog ===
stacks (1.37-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Apr 2016 08:43:15 +0200

stacks (1.37-1) unstable; urgency=medium

  * New upstream version
  * Moved from SVN to Git
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2016 23:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: stacks
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9), zlib1g-dev, libbam-dev, libsparsehash-dev (>= 2.0)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/stacks/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/stacks/trunk/
+Build-Depends: debhelper (>= 9),
+               zlib1g-dev,
+               libbam-dev,
+               libsparsehash-dev (>= 2.0)
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
 
 Package: stacks
@@ -33,7 +35,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php | php-cgi,
+         libapache2-mod-php5 | php5-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks

## stacks 1.38

=== debian/changelog ===
stacks (1.38-1) unstable; urgency=medium

  * New upstream version
  * debian/control: s/php5/php/
    Closes: #821664
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Tue, 19 Apr 2016 10:45:21 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
          ${misc:Depends},
          apache2 | httpd,
          mysql-server,
-         libapache2-mod-php5 | php5-cgi,
+         libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql
 Recommends: stacks

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 #export DH_VERBOSE=1
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## stacks 1.42

=== debian/changelog ===
stacks (1.42-1) unstable; urgency=medium

  * New upstream version
  * hardening -pie

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2016 10:49:42 +0200

stacks (1.40-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Build-Depends: samtools to ensure that package builds only on those
    architectures where samtools is available

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 12:55:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               python,
                zlib1g-dev,
                libbam-dev,
-               libsparsehash-dev (>= 2.0)
-Standards-Version: 3.9.7
+               libsparsehash-dev (>= 2.0),
+               samtools
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
@@ -17,6 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         ${python:Depends},
          samtools,
          libdbi-perl
 Recommends: libspreadsheet-writeexcel-perl

## stacks 1.44

=== debian/changelog ===
stacks (1.44-2) unstable; urgency=medium

  * d/watch: version=4
  * debhelper 10
  * stacks-web: Depends s/ | mysql-server/ | virtual-mysql-server/
    Closes: #848464

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2016 17:34:44 +0100

stacks (1.44-1) unstable; urgency=medium

  [ Kevin Murray ]
  * Fix script executable paths to reflect debian install directory

  [ Andreas Tille ]
  * New upstream version
  * stacks-web Depends: default-mysql-server | mysql-server

 -- Andreas Tille <tille@debian.org>  Sat, 22 Oct 2016 21:04:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python,
                zlib1g-dev,
                libbam-dev,
@@ -37,7 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          apache2 | httpd,
-         mysql-server,
+         default-mysql-server | virtual-mysql-server,
          libapache2-mod-php | php-cgi,
          libdbd-mysql-perl,
          php-mdb2-driver-mysql

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 %:
-	dh $@
+	dh $@ --with python2
 
 # override_dh_auto_install:
 # 	dh_auto_install --destdir=debian/tmp

## stacks 1.46

=== htslib/Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2015 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

CPPFLAGS =
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
CFLAGS   = -g -Wall -O2
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS  =
LIBS     =

# For now these don't work too well as samtools also needs to know to
# add -lbz2 and -llzma if linking against the static libhts.a library.
# TODO This needs configury and adding to htslib.pc.in.
#
# # Bzip2 support; optionally used by CRAM.
# HAVE_LIBBZ2 := $(shell echo -e "\#include <bzlib.h>\012int main(void){return 0;}" > .test.c && $(CC) $(CFLAGS) $(CPPFLAGS) -o .test .test.c -lbz2 2>/dev/null && echo yes)
# ifeq "$(HAVE_LIBBZ2)" "yes"
# CPPFLAGS += -DHAVE_LIBBZ2
# LIBS     += -lbz2
# endif
#
# # Lzma support; optionally used by CRAM.
# HAVE_LIBLZMA := $(shell echo -e "\#include <lzma.h>\012int main(void){return 0;}" > .test.c && $(CC) $(CFLAGS) $(CPPFLAGS) -o .test .test.c -llzma 2>/dev/null && echo yes)
# ifeq "$(HAVE_LIBLZMA)" "yes"
# CPPFLAGS += -DHAVE_LIBLZMA
# LIBS     += -llzma
# endif

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = \
	test/fieldarith \
	test/hfile \
	test/sam \
	test/test-regidx \
	test/test_view \
	test/test-vcf-api \
	test/test-vcf-sweep

# all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS)
all: lib-static

HTSPREFIX =
include htslib_vars.mk


PACKAGE_VERSION  = 1.3.1
LIBHTS_SOVERSION = 1


# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
# even if this is a dirty or untagged Git working tree.
NUMERIC_VERSION = $(PACKAGE_VERSION)

# If building from a Git repository, replace $(PACKAGE_VERSION) with the Git
# description of the working tree: either a release tag with the same value
# as $(PACKAGE_VERSION) above, or an exact description likely based on a tag.
# Much of this is also GNU Make-specific.  If you don't have GNU Make and/or
# are not building from a Git repository, comment out this conditional.
ifneq "$(wildcard .git)" ""
original_version := $(PACKAGE_VERSION)
PACKAGE_VERSION := $(shell git describe --always --dirty)

# Unless the Git description matches /\d*\.\d*(\.\d*)?/, i.e., is exactly a tag
# with a numeric name, revert $(NUMERIC_VERSION) to the original version number
# written above, but with the patchlevel field bumped to 255.
ifneq "$(subst ..,.,$(subst 0,,$(subst 1,,$(subst 2,,$(subst 3,,$(subst 4,,$(subst 5,,$(subst 6,,$(subst 7,,$(subst 8,,$(subst 9,,$(PACKAGE_VERSION))))))))))))" "."
empty :=
NUMERIC_VERSION := $(subst $(empty) ,.,$(wordlist 1,2,$(subst ., ,$(original_version))) 255)
endif

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))
endif

version.h:
	echo '#define HTS_VERSION "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)


.SUFFIXES: .bundle .c .o .pico .so

.c.o:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<


LIBHTS_OBJS = \
	kfunc.o \
	knetfile.o \
	kstring.o \
	bgzf.o \
	faidx.o \
	hfile.o \
	hfile_net.o \
	hts.o \
	md5.o \
	regidx.o \
	sam.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_samtools.o \
	cram/cram_stats.o \
	cram/files.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/rANS_static.o \
	cram/sam_header.o \
	cram/string_alloc.o \
	cram/thread_pool.o \
	cram/vlen.o \
	cram/zfio.o

PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(cram_sam_header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h cram/os.h
cram_sam_header_h = cram/sam_header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h) $(cram_sam_header_h)
cram_structs_h = cram/cram_structs.h cram/thread_pool.h cram/string_alloc.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
hfile_internal_h = hfile_internal.h $(htslib_hfile_h)
hts_internal_h = hts_internal.h $(htslib_hts_h)


# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Empty config.h generated by Makefile */' > $@


lib-static: libhts.a

# $(shell), :=, and ifeq/.../endif are GNU Make-specific.  If you don't have
# GNU Make, comment out the parts of this conditional that don't apply.
PLATFORM := $(shell uname -s)
ifeq "$(PLATFORM)" "Darwin"
SHLIB_FLAVOUR = dylib
lib-shared: libhts.dylib
BUILT_PLUGINS = $(PLUGIN_OBJS:.o=.bundle)
else
SHLIB_FLAVOUR = so
lib-shared: libhts.so
BUILT_PLUGINS = $(PLUGIN_OBJS:.o=.so)
endif

plugins: $(BUILT_PLUGINS)


libhts.a: $(LIBHTS_OBJS)
	@-rm -f $@
	$(AR) -rc $@ $(LIBHTS_OBJS)
	-$(RANLIB) $@


# The target here is libhts.so, as that is the built file that other rules
# depend upon and that is used when -lhts appears in other program's recipes.
# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
# file used at runtime (when $LD_LIBRARY_PATH includes the build directory).

libhts.so: $(LIBHTS_OBJS:.o=.pico)
	$(CC) -shared -Wl,-soname,libhts.so.$(LIBHTS_SOVERSION) -pthread $(LDFLAGS) -o $@ $(LIBHTS_OBJS:.o=.pico) -lz -lm $(LIBS)
	ln -sf $@ libhts.so.$(LIBHTS_SOVERSION)

# Similarly this also creates libhts.NN.dylib as a byproduct, so that programs
# when run can find this uninstalled shared library (when $DYLD_LIBRARY_PATH
# includes this project's build directory).

libhts.dylib: $(LIBHTS_OBJS)
	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) -lz $(LIBS)
	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib


.pico.so:
	$(CC) -shared -Wl,-E -pthread $(LDFLAGS) -o $@ $< $(LIBS)

.o.bundle:
	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< $(LIBS)


bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_khash_h)
kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
knetfile.o knetfile.pico: knetfile.c config.h $(htslib_knetfile_h)
hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(hts_internal_h) $(htslib_khash_h)
hfile_irods.o hfile_irods.pico: hfile_irods.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)
hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h)
hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
hts.o hts.pico: hts.c config.h version.h $(htslib_hts_h) $(htslib_bgzf_h) $(cram_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_ksort_h) $(hts_internal_h)
vcf.o vcf.pico: vcf.c config.h $(htslib_vcf_h) $(htslib_bgzf_h) $(htslib_tbx_h) $(htslib_hfile_h) $(hts_internal_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_kstring_h) $(htslib_khash_str2int_h)
sam.o sam.pico: sam.c config.h $(htslib_sam_h) $(htslib_bgzf_h) $(cram_h) $(hts_internal_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kseq_h) $(htslib_kstring_h)
tbx.o tbx.pico: tbx.c config.h $(htslib_tbx_h) $(htslib_bgzf_h) $(htslib_khash_h)
faidx.o faidx.pico: faidx.c config.h $(htslib_bgzf_h) $(htslib_faidx_h) $(htslib_hfile_h) $(htslib_khash_h) $(htslib_kstring_h)
synced_bcf_reader.o synced_bcf_reader.pico: synced_bcf_reader.c config.h $(htslib_synced_bcf_reader_h) $(htslib_kseq_h) $(htslib_khash_str2int_h) $(htslib_bgzf_h)
vcf_sweep.o vcf_sweep.pico: vcf_sweep.c config.h $(htslib_vcf_sweep_h) $(htslib_bgzf_h)
vcfutils.o vcfutils.pico: vcfutils.c config.h $(htslib_vcfutils_h) $(htslib_kbitset_h)
kfunc.o kfunc.pico: kfunc.c config.h $(htslib_kfunc_h)
regidx.o regidx.pico: regidx.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(htslib_kseq_h) $(htslib_khash_str2int_h) $(htslib_regidx_h)
md5.o md5.pico: md5.c config.h $(htslib_hts_h)
plugin.o plugin.pico: plugin.c config.h $(hts_internal_h) $(htslib_kstring_h)

cram/cram_codecs.o cram/cram_codecs.pico: cram/cram_codecs.c config.h $(cram_h)
cram/cram_decode.o cram/cram_decode.pico: cram/cram_decode.c config.h $(cram_h) cram/os.h $(htslib_hts_h)
cram/cram_encode.o cram/cram_encode.pico: cram/cram_encode.c config.h $(cram_h) cram/os.h $(htslib_hts_h)
cram/cram_external.o cram/cram_external.pico: cram/cram_external.c config.h $(htslib_hfile_h) $(cram_h)
cram/cram_index.o cram/cram_index.pico: cram/cram_index.c config.h $(htslib_hfile_h) $(cram_h) cram/os.h cram/zfio.h $(hts_internal_h)
cram/cram_io.o cram/cram_io.pico: cram/cram_io.c config.h $(cram_h) cram/os.h $(htslib_hts_h) $(cram_open_trace_file_h) cram/rANS_static.h $(htslib_hfile_h) $(htslib_bgzf_h) $(htslib_faidx_h)
cram/cram_samtools.o cram/cram_samtools.pico: cram/cram_samtools.c config.h $(cram_h) $(htslib_sam_h)
cram/cram_stats.o cram/cram_stats.pico: cram/cram_stats.c config.h $(cram_h) cram/os.h
cram/files.o cram/files.pico: cram/files.c config.h $(cram_misc_h)
cram/mFILE.o cram/mFILE.pico: cram/mFILE.c config.h cram/os.h cram/mFILE.h cram/vlen.h
cram/open_trace_file.o cram/open_trace_file.pico: cram/open_trace_file.c config.h cram/os.h $(cram_open_trace_file_h) $(cram_misc_h) $(htslib_hfile_h)
cram/pooled_alloc.o cram/pooled_alloc.pico: cram/pooled_alloc.c config.h cram/pooled_alloc.h
cram/rANS_static.o cram/rANS_static.pico: cram/rANS_static.c config.h cram/rANS_static.h cram/rANS_byte.h

=== debian/changelog ===
stacks (1.46-1build1) artful; urgency=medium

  * Rebuild against new samtools.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:42:50 +0200

stacks (1.46-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.0.0 (no changes needed)
  * do not disable PIE
    Closes: #865668
  * d/rules: use DEB_SOURCE

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2017 08:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libbam-dev,
                libsparsehash-dev (>= 2.0),
                samtools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/

=== debian/watch ===
version=4

http://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-([0-9.]+).tar.[gzb2x]+

## stacks 2.0Beta8c%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@ --with python2
@@ -23,7 +22,7 @@
 	cp php/constants.php.dist ./constants.php
 	dh_install
 	# Skip this bit if not building stacks
-	! cd debian/$(pkg)/usr/lib/$(pkg)/bin || \
+	! cd debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin || \
 	  for f in *.pl ; do \
 	    ln -s "$$f" "`basename $$f .pl`" ; \
 	  done
@@ -38,10 +37,10 @@
 
 override_dh_link:
 	dh_link
-	mkdir -p debian/$(pkg)/usr/lib/debian-med/bin
-	cd debian/$(pkg)/usr/lib/debian-med/bin && \
-	for f in `ls $(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/bin` ; do \
-	    ln -s ../../$(pkg)/bin/$$f ; \
+	mkdir -p debian/$(DEB_SOURCE)/usr/lib/debian-med/bin
+	cd debian/$(DEB_SOURCE)/usr/lib/debian-med/bin && \
+	for f in `ls $(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin` ; do \
+	    ln -s ../../$(DEB_SOURCE)/bin/$$f ; \
 	done
 
 override_dh_auto_test:

## stacks 2.0Beta8c+dfsg

=== debian/changelog ===
stacks (2.0Beta8c+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove code copy of htslib and use Debian packaged version of htslib
    instead
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 17:15:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                python,
                zlib1g-dev,
                libbam-dev,
                libsparsehash-dev (>= 2.0),
-               samtools
-Standards-Version: 4.0.0
+               samtools,
+               libhts-dev
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://creskolab.uoregon.edu/stacks/ (?:.*/|)source/stacks-(\d[0-9.Betac]+).tar.[gzb2x]+

## stacks 2.0Beta9+dfsg

=== debian/changelog ===
stacks (2.0Beta9+dfsg-1) unstable; urgency=medium

  * New upstream Beta release

 -- Andreas Tille <tille@debian.org>  Mon, 19 Mar 2018 12:10:23 +0100

## stacks 2.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	! cd debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/bin || \
 	  for f in *.pl ; do \
 	    ln -s "$$f" "`basename $$f .pl`" ; \
+	    sed -i '1s?^#!/usr/bin/env.*perl?#!/usr/bin/perl?' $$f ; \
 	  done
 	# Skip this bit if not building stacks-web
 	# Note - directory perms will be set in postinst

## stacks 2.2+dfsg

=== debian/changelog ===
stacks (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Fix path for Perl interpreter

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 09:51:56 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libsparsehash-dev (>= 2.0),
                samtools,
                libhts-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/stacks.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/stacks.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/stacks
+Vcs-Git: https://salsa.debian.org/med-team/stacks.git
 Homepage: http://creskolab.uoregon.edu/stacks/
 
 Package: stacks

## stacks 2.41%2Bdfsg

=== debian/control ===
Source: stacks
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               zlib1g-dev,
               libbam-dev,
               libsparsehash-dev,
               samtools,
               libhts-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/stacks
Vcs-Git: https://salsa.debian.org/med-team/stacks.git
Homepage: http://creskolab.uoregon.edu/stacks/

Package: stacks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         samtools,
         libdbi-perl
Recommends: libspreadsheet-writeexcel-perl,
            python3
Conflicts: stacks-web
Provides: stacks-web
Replaces: stacks-web
Description: pipeline for building loci from short-read DNA sequences
 Stacks is a software pipeline for building loci from short-read sequences,
 such as those generated on the Illumina platform. Stacks was developed to work
 with restriction enzyme-based data, such as RAD-seq, for the purpose of
 building genetic maps and conducting population genomics and phylogeography.
 .
 Note that this package installs Stacks such that all commands must be run as:
 $ stacks <cmdname> <args>
